#ifndef _THERM_H
#define _THERM_H

#define TEMPERATURE_MINOR	131

#define CMD_SET_THERMOSTATE	0x53
#define CMD_GET_THERMOSTATE	0x54
#define CMD_GET_STATUS		0x56
#define CMD_GET_TEMPERATURE	0x57 
#define CMD_SET_THERMOSTATE2	0x58
#define CMD_GET_THERMOSTATE2	0x59
#define CMD_GET_TEMPERATURE2	0x5A
#define CMD_GET_FAN		0x5B
#define CMD_SET_FAN		0x5C

#define	WRITE_TH	0x01
#define	READ_TH		0xA1
#define	WRITE_TL	0x02
#define	READ_TL		0xA2
#define	WRITE_CONFIG	0x0C
#define	READ_CONFIG	0xAC
#define	START_CONVERT	0xEE
#define	READ_TEMPERATURE 0xAA
#define	SW_RESET	0xAF	//undocumented command - magic reset

struct	THERM_SETTING
{
int	hi;
int	lo;
};

#endif /* _THERM_H */
